commit:     b17dd9cc9097d341529cdd513cb54d6ef9dbfcb7
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Fri May 19 12:54:26 2023 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Fri May 19 12:55:05 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b17dd9cc

sys-apps/memtest86+: drop 5.31b-r3

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 sys-apps/memtest86+/Manifest                       |   1 -
 sys-apps/memtest86+/files/39_memtest86+-r1         |  69 ------------
 .../memtest86+/files/make-memtest86+-boot-floppy   | 111 -------------------
 .../memtest86+/files/make-memtest86+-boot-floppy.1 |  39 -------
 ...emtest86+-5.31b-discard-note_gnu_property.patch |  23 ----
 .../memtest86+-5.31b-fix-gcc8-freeze-crash.patch   |  12 ---
 .../files/memtest86+-5.31b-gcc-473.patch           |  13 ---
 .../files/memtest86+-5.31b-hardcoded_cc.patch      |  16 ---
 .../files/memtest86+-5.31b-no-clean.patch          |  19 ----
 .../files/memtest86+-5.31b-objcopy.patch           |  21 ----
 .../memtest86+-5.31b-test-random-cflags.patch      |  17 ---
 sys-apps/memtest86+/memtest86+-5.31b-r3.ebuild     | 117 ---------------------
 12 files changed, 458 deletions(-)

diff --git a/sys-apps/memtest86+/Manifest b/sys-apps/memtest86+/Manifest
index a49e75d87f01..443b509c1c6f 100644
--- a/sys-apps/memtest86+/Manifest
+++ b/sys-apps/memtest86+/Manifest
@@ -1,3 +1,2 @@
-DIST memtest86+-5.31b.tar.gz 227779 BLAKE2B 
14aced912bb84115278a3aff7650a3571918b823335aaf7d09880ef10374c320f64878765d93d2ee5a75e2b33ef6c9c4886a9a168955bd77c668f06f5c86a6ca
 SHA512 
ad5891fd0c430ce7a5d0cde2d10dee20b66ad8060d47c3e70e038461d9cde3a78dfc13442b5b09da7c662741945a670353c72dbc08fd5ee8bae82256001a9541
 DIST memtest86+-6.10.tar.gz 230056 BLAKE2B 
2462c31f1ca27aa166c447e51a9b388872faaf7f845100a122f5dd8eb11dc76e26c503dc14d0825bda397c7180a5259094a020d25dd9d43b1997bfbe424c7f65
 SHA512 
2fb8e6d375f7ced53b1c2d50ffeeafcee1282b2495ea4241958e210c0b4a3500701025041469459c0db1662c448a3b65a51a994d19bc8ac217e23fa935700e42
 DIST memtest86+-6.20.tar.gz 232436 BLAKE2B 
6e3bea4b18049446f27da2cb1313300c578ef7fdb774b6a20df603271b66a6c0066be64a91b0a6d4ffcc63f1e139132942290a8111f6a991cccc0a5586cac966
 SHA512 
b12856bd6ba82dac6308bb9f611ddb16df68c3da4d00ad9abf23bcf5d3f2e5c424fc1bccedd8c0732b4c68013c421ed20c5db56c39b619bbe77c4c1f5e8504f0

diff --git a/sys-apps/memtest86+/files/39_memtest86+-r1 
b/sys-apps/memtest86+/files/39_memtest86+-r1
deleted file mode 100644
index 20422b74d65a..000000000000
--- a/sys-apps/memtest86+/files/39_memtest86+-r1
+++ /dev/null
@@ -1,69 +0,0 @@
-#!/bin/sh
-
-. /usr/share/grub/grub-mkconfig_lib
-
-memtest=/boot/memtest86plus/memtest.bin
-
-memtestelf=/boot/memtest86plus/memtest
-
-if [ -f "${memtest}" ] && [ -f "${memtestelf}" ]; then
-       multiple_memtest=true
-fi
-
-submenu_indentation=""
-if [ "${multiple_memtest}" = "true" ] && [ "${GRUB_DISABLE_SUBMENU}" != "y" ]; 
then
-       submenu_indentation="${grub_tab}"
-       cat <<EOF
-submenu 'Memtest86+' {
-EOF
-fi
-
-if [ -f "${memtest}" ]; then
-       gettext_printf "Found memtest image: %s\n" "${memtest}" >&2
-
-       device="$("${grub_probe}" --target=device "${memtest}")"
-       path="$(make_system_path_relative_to_its_root "${memtest}")"
-       cat <<EOF
-${submenu_indentation}menuentry 'Memtest86+' {
-EOF
-
-       if [ -n "{submenu_indentation}" ]; then
-               prepare_grub_to_access_device "${device}" | grub_add_tab | 
grub_add_tab
-       else
-               prepare_grub_to_access_device "${device}" | grub_add_tab
-       fi
-
-       cat <<EOF
-       ${submenu_indentation}linux16 "${path}"
-${submenu_indentation}}
-EOF
-fi
-
-if [ -f "${memtestelf}" ]; then
-       gettext_printf "Found memtest image: %s\n" "${memtestelf}" >&2
-
-       device="$("${grub_probe}" --target=device "${memtestelf}")"
-       path="$(make_system_path_relative_to_its_root "${memtestelf}")"
-       cat <<EOF
-${submenu_indentation}menuentry 'Memtest86+ (ELF)' {
-EOF
-
-       if [ -n "${submenu_indentation}" ]; then
-               prepare_grub_to_access_device "${device}" | grub_add_tab | 
grub_add_tab
-       else
-               prepare_grub_to_access_device "${device}" | grub_add_tab
-       fi
-
-       # We use knetbsd as a lazy way of booting an ELF.
-       # It's not actually related to NetBSD at all.
-       cat <<EOF
-       ${submenu_indentation}knetbsd "${path}"
-${submenu_indentation}}
-EOF
-fi
-
-if [ "${multiple_memtest}" = "true" ] && [ "${GRUB_DISABLE_SUBMENU}" != "y" ]; 
then
-       cat <<EOF
-}
-EOF
-fi

diff --git a/sys-apps/memtest86+/files/make-memtest86+-boot-floppy 
b/sys-apps/memtest86+/files/make-memtest86+-boot-floppy
deleted file mode 100644
index 9c225c740bf4..000000000000
--- a/sys-apps/memtest86+/files/make-memtest86+-boot-floppy
+++ /dev/null
@@ -1,111 +0,0 @@
-#!/bin/sh
-#
-# Script for making a memtest86 boot floppy using GRUB as bootloader
-#
-
-# (c) 2003 Peter Loje Hansen <p...@2m.dk>
-#  - original version
-# (c) 2004 Yann Dirson <dir...@debian.org>
-#  - added parameters
-#  - ability to work on a floppy image instead of a real floppy
-#  - adapted patches from Martin Koeppe <mar...@koeppe-net.de>, to use
-#    mtools and install full grub
-
-# TODO:
-# - add a flag to generate a default boot entry for (hd0)
-
-set -e
-
-MEMTEST=/boot/memtest86plus/memtest.bin
-FLOPPYIMAGE=/dev/fd0
-GRUBBIN=/sbin/grub
-GRUBLIB=/lib/grub
-MFORMAT=/usr/bin/mformat
-
-arch=$(uname -m)
-
-case "$arch" in
-       i386|i486|i686)         GRUBARCH=i386-pc;;
-       x86_64)                         GRUBARCH=x86_64-pc;;
-       *)                                      error "Unsupported 
architecture: $arch";;
-esac
-
-error()
-{
-    echo >&2 "$0: $*"
-    exit 1
-}
-
-needsarg()
-{
-    [ $1 -ge 2 ] || error "syntax error"
-}
-
-[ -d $GRUBLIB ] || error "Can't find $GRUBLIB - did you install a recent grub 
package (0.95+cvs20040624 or later) ?"
-[ -x $MFORMAT ] || error "Can't find mformat - did you install the mtools 
package ?"
-
-while [ $# -gt 0 ]
-do
-    case "$1" in
-    --help) echo "$0 [--memtest $MEMTEST] [--floppyimage $FLOPPYIMAGE]"; exit 
0 ;;
-    --memtest) needsarg $#; MEMTEST="$2"; shift ;;
-    --floppyimage) needsarg $#; FLOPPYIMAGE="$2"; shift ;;
-    *) error "syntax error" ;;
-    esac
-    shift
-done
-
-MOUNTPOINT=$(mktemp -d)
-
-if [ -b "$FLOPPYIMAGE" ]
-then
-    FINALDEV="$FLOPPYIMAGE"
-    FLOPPYIMAGE="$(mktemp)"
-else
-    FINALDEV=""
-fi
-
-echo "* Creating msdos file system"
-echo
-if [ ! -s "$FLOPPYIMAGE" ]; then
-    # unless a non-empty image exists, create a blank one first
-    dd bs=1024 count=1440 if=/dev/zero of="$FLOPPYIMAGE"
-fi
-# FIXME: "-f 1440" should probably be dropped
-mformat -i $FLOPPYIMAGE -f 1440 :: 
-
-mmd -i $FLOPPYIMAGE ::/boot 
-mmd -i $FLOPPYIMAGE ::/boot/grub 
-
-echo
-echo "* Installing GRUB files"
-mcopy -v -i "$FLOPPYIMAGE" - ::/boot/grub/menu.lst <<EOF
-color green/black light-green/black
-default 0
-timeout 10
-title  memtest
-kernel (fd0)/boot/memtest.bin
-EOF
-mcopy -v -i "$FLOPPYIMAGE" $GRUBLIB/$GRUBARCH/* ::/boot/grub 
-
-echo
-echo "* Installing $MEMTEST"
-mcopy -v -i "$FLOPPYIMAGE" "$MEMTEST" ::/boot/memtest.bin 
-
-echo
-echo -n "* Installing GRUB"
-$GRUBBIN --batch --device-map=/dev/null <<EOF
-device (fd0) $FLOPPYIMAGE
-root (fd0)
-setup (fd0)
-quit
-EOF
-
-if [ -n "$FINALDEV" ]; then
-    echo
-    echo "Insert a writable floppy for $FINALDEV and press enter"
-    read FOO
-
-    dd bs=1024 if="$FLOPPYIMAGE" of="$FINALDEV"
-    rm "$FLOPPYIMAGE"
-fi

diff --git a/sys-apps/memtest86+/files/make-memtest86+-boot-floppy.1 
b/sys-apps/memtest86+/files/make-memtest86+-boot-floppy.1
deleted file mode 100644
index e1283e5efc8f..000000000000
--- a/sys-apps/memtest86+/files/make-memtest86+-boot-floppy.1
+++ /dev/null
@@ -1,39 +0,0 @@
-.\" Man page for make-memtest86+-boot-floppy 
-
-.TH make-memtest86+-boot-floppy 1
-
-.SH NAME
-make-memtest86+-boot-floppy \- create a memtest86+ boot-floppy using GRUB.
-
-.SH SYNOPSIS
-
-.B make-memtest86+-boot-floppy [ \-\-memtest 
-.I <path to memtest86+-image>
-.B ] [ \-\-floppyimage 
-.I <path to floppyimage/device>
-.B ]
-
-.SH DESCRIPTION
-.B make-memtest86+-boot-floppy
-can create a memtest86+ boot floppy using GRUB as the bootloader.
-
-.SH OPTIONS
-
-.IP "\-\-memtest <path to the memtest-image>"
-Path to the memtest86+-image, default is /boot/memtest86+.bin.
-
-.IP "\-\-floppyimage <path to the floppyimage or device>"
-File or device where the boot-image should be written to, default is /dev/fd0.
-
-.IP "\-\-help" 
-Display a short message about the options of the tool.
-
-.SH AUTHOR
-This man-page has been written by Thomas Schmidt <tho...@thsnet.de>
-.PP
-Permission is granted to copy, distribute and/or modify this document under
-the terms of the GNU General Public License, Version 2 any
-later version published by the Free Software Foundation.
-.PP
-On Debian systems, the complete text of the GNU General Public
-License can be found in /usr/share/common\-licenses/GPL.

diff --git 
a/sys-apps/memtest86+/files/memtest86+-5.31b-discard-note_gnu_property.patch 
b/sys-apps/memtest86+/files/memtest86+-5.31b-discard-note_gnu_property.patch
deleted file mode 100644
index e24ad4318f37..000000000000
--- a/sys-apps/memtest86+/files/memtest86+-5.31b-discard-note_gnu_property.patch
+++ /dev/null
@@ -1,23 +0,0 @@
---- a/Makefile 2021-12-04 15:15:45.845429722 +0100
-+++ b/Makefile 2021-12-04 15:22:51.924755794 +0100
-@@ -11,9 +11,9 @@
- OBJCOPY=objcopy
- 
- CFLAGS= -Wall -Werror -march=i486 -m32 -O0 -fomit-frame-pointer -fno-builtin \
-- -ffreestanding -fPIC $(SMP_FL) -fno-stack-protector
-+ -ffreestanding -fPIC $(SMP_FL) -fno-stack-protector -Wa,-mx86-used-note=no
- CPPFLAGS= -m32
--ASFLAGS= -32
-+ASFLAGS= -32 -mx86-used-note=no
- 
- SELF_TEST_CFLAGS = -Wall -Werror -march=i486 -m32 -O1 -g
- 
---- a/memtest.bin.lds  2020-04-12 17:14:51.000000000 +0200
-+++ b/memtest.bin.lds  2021-12-04 14:54:33.178625382 +0100
-@@ -11,5 +11,6 @@
-               *(.data) 
-               _end = . ;
-       }
-+      /DISCARD/ : { *(.note.gnu.property) }
-       _syssize = (_end - _start + 15) >> 4;
- }

diff --git 
a/sys-apps/memtest86+/files/memtest86+-5.31b-fix-gcc8-freeze-crash.patch 
b/sys-apps/memtest86+/files/memtest86+-5.31b-fix-gcc8-freeze-crash.patch
deleted file mode 100644
index 44d11b76b344..000000000000
--- a/sys-apps/memtest86+/files/memtest86+-5.31b-fix-gcc8-freeze-crash.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -ur memtest86+-5.31b/Makefile memtest86+-5.31b.new/Makefile
---- memtest86+-5.31b/Makefile  2021-09-16 09:27:24.401570971 -0500
-+++ memtest86+-5.31b.new/Makefile      2021-09-16 09:30:24.332704245 -0500
-@@ -64,6 +64,9 @@
- memsize.o: memsize.c
-       $(CC) -Wall -Werror -march=i486 -m32 -O0 -fomit-frame-pointer 
-fno-builtin -ffreestanding -fPIC $(SMP_FL) -fno-stack-protector   -c -o 
memsize.o memsize.c
- 
-+test.o: test.c
-+test.o: CFLAGS += -fno-strict-overflow
-+
- random.o: random.c
- random.o: CFLAGS += -O3 -fno-PIC
\ No newline at end of file

diff --git a/sys-apps/memtest86+/files/memtest86+-5.31b-gcc-473.patch 
b/sys-apps/memtest86+/files/memtest86+-5.31b-gcc-473.patch
deleted file mode 100644
index 76c0761512b4..000000000000
--- a/sys-apps/memtest86+/files/memtest86+-5.31b-gcc-473.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-http://forum.canardpc.com/threads/110950-fix-controller-loop-error
-
---- a/Makefile
-+++ b/Makefile
-@@ -12,7 +12,7 @@ FDISK=/dev/fd0
- AS=as -32
- CC=gcc
- 
--CFLAGS= -Wall -Werror -march=i486 -m32 -O1 -fomit-frame-pointer -fno-builtin \
-+CFLAGS= -Wall -Werror -march=i486 -m32 -O0 -fomit-frame-pointer -fno-builtin \
-  -ffreestanding -fPIC $(SMP_FL) -fno-stack-protector
- 
- SELF_TEST_CFLAGS = -Wall -Werror -march=i486 -m32 -O1 -g

diff --git a/sys-apps/memtest86+/files/memtest86+-5.31b-hardcoded_cc.patch 
b/sys-apps/memtest86+/files/memtest86+-5.31b-hardcoded_cc.patch
deleted file mode 100644
index 4ee174478b7b..000000000000
--- a/sys-apps/memtest86+/files/memtest86+-5.31b-hardcoded_cc.patch
+++ /dev/null
@@ -1,16 +0,0 @@
---- a/Makefile
-+++ b/Makefile
-@@ -9,11 +9,10 @@
- #
- FDISK=/dev/fd0
- 
--AS=as -32
--CC=gcc
--
- CFLAGS= -Wall -Werror -march=i486 -m32 -O0 -fomit-frame-pointer -fno-builtin \
-  -ffreestanding -fPIC $(SMP_FL) -fno-stack-protector
-+CPPFLAGS= -m32
-+ASFLAGS= -32
- 
- SELF_TEST_CFLAGS = -Wall -Werror -march=i486 -m32 -O1 -g
- 

diff --git a/sys-apps/memtest86+/files/memtest86+-5.31b-no-clean.patch 
b/sys-apps/memtest86+/files/memtest86+-5.31b-no-clean.patch
deleted file mode 100644
index dbb560e506b9..000000000000
--- a/sys-apps/memtest86+/files/memtest86+-5.31b-no-clean.patch
+++ /dev/null
@@ -1,19 +0,0 @@
-http://forum.canardpc.com/threads/110954-PATCH-fix-parallel-build-issues
-
-
-don't run the clean target when building all as we run into parallel races:
- - memtest kicks off building of a bunch of .o files
- - clean runs in parallel which runs `rm` and deletes some of the new .o
- - memtest goes to link and fails because objects are missing
-
---- a/Makefile
-+++ b/Makefile
-@@ -22,7 +22,7 @@
- 
- SELF_TEST_OBJS = test.o self_test.o cpuid.o random.o
- 
--all: clean memtest.bin memtest
-+all: memtest.bin memtest
- 
- run_self_test : self_test
-       ./self_test && touch run_self_test

diff --git a/sys-apps/memtest86+/files/memtest86+-5.31b-objcopy.patch 
b/sys-apps/memtest86+/files/memtest86+-5.31b-objcopy.patch
deleted file mode 100644
index 9398c4163a4d..000000000000
--- a/sys-apps/memtest86+/files/memtest86+-5.31b-objcopy.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-Allow 'objcopy' override with user's OBJCOPY.
-
---- a/Makefile
-+++ b/Makefile
-@@ -8,6 +8,7 @@
- # Path for the floppy disk device
- #
- FDISK=/dev/fd0
-+OBJCOPY=objcopy
- 
- CFLAGS= -Wall -Werror -march=i486 -m32 -O0 -fomit-frame-pointer -fno-builtin \
-  -ffreestanding -fPIC $(SMP_FL) -fno-stack-protector
-@@ -36,7 +37,7 @@
-       $(LD) -shared -Bsymbolic -T memtest_shared.lds -o $@ $(OBJS)
- 
- memtest_shared.bin: memtest_shared
--      objcopy -O binary $< memtest_shared.bin
-+      $(OBJCOPY) -O binary $< memtest_shared.bin
- 
- memtest: memtest_shared.bin memtest.lds
-       $(LD) -s -T memtest.lds -b binary memtest_shared.bin -o $@

diff --git 
a/sys-apps/memtest86+/files/memtest86+-5.31b-test-random-cflags.patch 
b/sys-apps/memtest86+/files/memtest86+-5.31b-test-random-cflags.patch
deleted file mode 100644
index f3faf1392b3a..000000000000
--- a/sys-apps/memtest86+/files/memtest86+-5.31b-test-random-cflags.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-make sure we re-use the existing CFLAGS settings so that we get all the right
-flags (like -fno-stack-protector).  just append the few changes we want (the
-optimization levels).
-
-https://bugs.gentoo.org/590974
-
---- a/Makefile
-+++ b/Makefile
-@@ -65,7 +65,7 @@
-       $(CC) -Wall -Werror -march=i486 -m32 -O0 -fomit-frame-pointer 
-fno-builtin -ffreestanding -fPIC $(SMP_FL) -fno-stack-protector   -c -o 
memsize.o memsize.c
- 
- random.o: random.c
--      $(CC) -c -Wall -march=i486 -m32 -O3 -fomit-frame-pointer -fno-builtin 
-ffreestanding random.c
-+random.o: CFLAGS += -O3 -fno-PIC
- 
- clean:
-       rm -f *.o *.s *.iso memtest.bin memtest memtest_shared \

diff --git a/sys-apps/memtest86+/memtest86+-5.31b-r3.ebuild 
b/sys-apps/memtest86+/memtest86+-5.31b-r3.ebuild
deleted file mode 100644
index 77e7831ed564..000000000000
--- a/sys-apps/memtest86+/memtest86+-5.31b-r3.ebuild
+++ /dev/null
@@ -1,117 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit mount-boot toolchain-funcs
-
-DESCRIPTION="Memory tester based on memtest86"
-HOMEPAGE="http://www.memtest.org/";
-SRC_URI="http://www.memtest.org/download/${PV}/${P}.tar.gz";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE="+boot floppy iso serial"
-
-BOOTDIR="/boot/memtest86plus"
-QA_PRESTRIPPED="${BOOTDIR#/}/memtest usr/share/${PN}/memtest"
-QA_FLAGS_IGNORED="${BOOTDIR#/}/memtest usr/share/${PN}/memtest"
-
-RDEPEND="floppy? ( sys-fs/mtools )"
-DEPEND="${RDEPEND}"
-BDEPEND="iso? ( app-cdr/cdrtools )"
-
-PATCHES=(
-       "${FILESDIR}/${P}-gcc-473.patch"
-       "${FILESDIR}/${P}-hardcoded_cc.patch"
-       "${FILESDIR}/${P}-no-clean.patch" #557890
-       "${FILESDIR}/${P}-objcopy.patch"
-       "${FILESDIR}/${P}-test-random-cflags.patch" #590974
-       "${FILESDIR}/${P}-fix-gcc8-freeze-crash.patch"
-       "${FILESDIR}/${P}-discard-note_gnu_property.patch"
-)
-
-pkg_pretend() {
-       use boot && mount-boot_pkg_pretend
-}
-
-src_prepare() {
-       sed -i -e 's,0x10000,0x100000,' memtest.lds || die
-       sed -i 's:genisoimage:mkisofs:' makeiso.sh || die
-
-       if use serial ; then
-               sed -i -e '/^#define SERIAL_CONSOLE_DEFAULT/s:0:1:' \
-                       config.h || die "sed failed"
-       fi
-       #613196
-       use amd64 && sed -i -e's,$(LD) -s -T memtest.lds,$(LD) -s -T 
memtest.lds -z max-page-size=0x1000,' Makefile
-       default
-}
-
-src_configure() {
-       tc-ld-disable-gold #580212
-       tc-export AS CC LD
-}
-
-src_compile() {
-       emake OBJCOPY="$(tc-getOBJCOPY)"
-       if use iso ; then
-               ./makeiso.sh || die
-       fi
-}
-
-src_test() { :; }
-
-src_install() {
-       if use boot ; then
-               insinto "${BOOTDIR}"
-               doins memtest memtest.bin
-       fi
-
-       insinto /usr/share/${PN}
-       use iso && newins mt*.iso memtest.iso
-       doins memtest memtest.bin
-
-       exeinto /etc/grub.d
-       newexe "${FILESDIR}"/39_${PN}-r1 39_${PN}
-
-       dodoc README README.build-process FAQ changelog
-
-       if use floppy ; then
-               dobin "${FILESDIR}"/make-memtest86+-boot-floppy
-               doman "${FILESDIR}"/make-memtest86+-boot-floppy.1
-       fi
-}
-
-pkg_preinst() {
-       use boot && mount-boot_pkg_preinst
-}
-
-pkg_postinst() {
-       if use boot; then
-               mount-boot_pkg_postinst
-
-               elog "memtest86+ has been installed in ${BOOTDIR}/"
-               elog "You may wish to update your bootloader configs:"
-               elog " - For grub2 just re-run grub-mkconfig -o 
/boot/grub/grub.cfg, since a"
-               elog "   config generator has been installed at 
/etc/grub.d/39_${PN}"
-               elog " - For lilo, add the following to /etc/lilo.conf and 
re-run lilo:"
-               elog "    > image  = ${BOOTDIR}/memtest.bin"
-               elog "    > label  = ${PN}"
-               elog ""
-               elog "Note: For older configs, you might have to change from 
'memtest' to 'memtest.bin'."
-       fi
-
-       if use boot && [ -e /sys/firmware/efi ]; then
-               ewarn "WARNING: You appear to be booted in EFI mode but ${PN} 
is a BIOS-only tool."
-       fi
-}
-
-pkg_prerm() {
-       use boot && mount-boot_pkg_prerm
-}
-
-pkg_postrm() {
-       use boot && mount-boot_pkg_postrm
-}

Reply via email to